<h2>Add Product</h2>
<form [formGroup]="productForm" (ngSubmit)="submit(productForm.value)">
  <div class="row">
    <div class="col-sm-4">
      <div class="form-group">
        <label for="productName">Product Category</label>
        <select class="custom-select">
          <option [selected]="true" [disabled]="true">Select a Category</option>
          <option *ngFor="let category of categoryList" [value]="category.category_id">{{category.title}}</option>
        </select>
      </div>
    </div>
    <div class="col-sm-4">
      <div class="form-group">
        <label for="productName">Product Name</label>
        <input type="text" formControlName="productName" class="form-control" id="productName" placeholder="">
        <div *ngIf="productName.invalid && submitted">
          <span class="error" *ngIf="productName.errors.required">
            Name is required.
          </span>
        </div>
      </div>
    </div>
    <div class="col-sm-4">
      <div class="form-group">
        <label for="productName">Product Code</label>
        <input type="text" class="form-control" id="productName" placeholder="">
      </div>
    </div>
    <div class="col-sm-4">
      <div class="form-group">
        <label for="productName">Discount for normal(%)</label>
        <input type="text" class="form-control" id="productName" placeholder="">
      </div>
    </div>
    <div class="col-sm-4">
      <div class="form-group">
        <label for="productName">Discount for business(%)</label>
        <input type="text" class="form-control" id="productName" placeholder="">
      </div>
    </div>
    <div class="col-sm-4">
      <div class="form-group">
        <label for="productName">Discount for Technical(%)</label>
        <input type="text" class="form-control" id="productName" placeholder="">
      </div>
    </div>
    <div class="col-sm-4">
      <div class="form-group">
        <label for="productName">Technical Rate Point(%)</label>
        <input type="text" class="form-control" id="productName" placeholder="">
      </div>
    </div>
    <div class="col-sm-4">
      <div class="form-group">
        <label for="productName">Business Rate Point(%)</label>
        <input type="text" class="form-control" id="productName" placeholder="">
      </div>
    </div>
    <div class="col-sm-4">
      <div class="checkbox"><input type="checkbox" value="">Is App Home</div>
      <div class="checkbox"><input type="checkbox" value="">Is Site Home</div>
      <div class="checkbox"><input type="checkbox" value="">Is Featured</div>
    </div>
    <div class="col-sm-6">
      <label for="productName">Product Details</label>
      <app-ngx-editor formControlName="productDetails" [config]="editorConfig" [placeholder]="'Enter text here...'" [spellcheck]="true"></app-ngx-editor>
    </div>
    <div class="col-sm-6">
      <label for="productName">Feature</label>
      <app-ngx-editor [config]="editorConfig" [placeholder]="'Enter text here...'" [spellcheck]="true"></app-ngx-editor>
    </div>
    <div class="col-sm-4">
      <div class="form-group">
        <label for="productName">Status</label>
        <select class="custom-select">
          <option>Active</option>
          <option>Inactive</option>
        </select>
      </div>
    </div>
    <div class="col-sm-4">
      <div class="form-group">
        <label for="image">Image</label>
        <input type="file" class="form-control" id="image">
      </div>
    </div>
  </div>

  <input type="submit" class="btn btn-primary">
</form>